module.exports = {
  create: {
    requestBody: ["!name", "mobile", "qqwx", "email", "address"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["!name", "mobile", "qqwx", "email", "address"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "name",
        mobile: "mobile",
        qqwx: "qqwx",
        email: "email",
        address: "address",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
