module.exports = {
  create: {
    requestBody: [
      "car_onwer",
      "it",
      "it_member",
      "ro",
      "r_time",
      "car_no",
      "car_type",
      "cc_no",
      "cc_weight",
      "cc_scrap_time",
      "cc_examine_time",
      "rc_no",
      "rc_examine_time",
      "bcc_no",
      "fi_name",
      "fi_tel",
      "fi_no",
      "fi_cost",
      "fi_start_time",
      "fi_end_time",
      "fi_dw",
      "fi_vt",
      "fi_sign_time",
      "bi_name",
      "bi_tel",
      "bi_no",
      "bi_cost",
      "bi_start_time",
      "bi_end_time",
      "bi_dw",
      "bi_sign_time",
      "remark",
      "last_place",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "car_onwer",
      "it",
      "it_member",
      "ro",
      "r_time",
      "car_no",
      "car_type",
      "cc_no",
      "cc_weight",
      "cc_scrap_time",
      "cc_examine_time",
      "rc_no",
      "rc_examine_time",
      "bcc_no",
      "fi_name",
      "fi_tel",
      "fi_no",
      "fi_cost",
      "fi_start_time",
      "fi_end_time",
      "fi_dw",
      "fi_vt",
      "fi_sign_time",
      "bi_name",
      "bi_tel",
      "bi_no",
      "bi_cost",
      "bi_start_time",
      "bi_end_time",
      "bi_dw",
      "bi_sign_time",
      "remark",
      "last_place",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        car_onwer: "car_onwer",
        it: "it",
        it_member: "it_member",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
