'use strict';

const assert = require('assert');
const _ = require('lodash');
const { ObjectId } = require('mongoose').Types;
const { CrudService } = require('naf-framework-mongoose/lib/service');
const { ZhwldriverError, ErrorCode } = require('naf-core').Error;

class DriverService extends CrudService {
  constructor(ctx) {
    super(ctx, 'driver');
    this.model = this.ctx.model.Driver;
  }
}

module.exports = DriverService;
